<?php
function fbStatusOptionPage(){

	if (!function_exists("curl_init")) {
		echo("This plugin needs <a href=\"http://www.php.net/curl\"></a> to be installed on your server in order to run properly.");
		return;
	}

	global $fbStatusCookieFile, $fbStatusUpdaterVersion;

	if (isSet($_GET["clear-private-data"]) && $_GET["clear-private-data"] == "true") {
		delete_option('fb-status-update');
		
		$allposts = get_posts('numberposts=0&post_type=post&post_status=');
		foreach($allposts as $postinfo) {
			delete_post_meta($postinfo->ID, 'fb-status-updater-status');
			delete_post_meta($postinfo->ID, 'fb-status-updater-tw-status');
			delete_post_meta($postinfo->ID, 'fb-status-updater-send');
			delete_post_meta($postinfo->ID, 'fb-status-updater-send-fb');
			delete_post_meta($postinfo->ID, 'fb-status-updater-send-tw');
		}
		unset($allposts);

		$message = "Private data cleaned, now you can safely remove this plugin.";
	}

	$statusUpdate = get_option('fb-status-update');
	$fbEmail = null;
	$fbPassword = null;
	$fbDebug = false;
	$fbPostToProfile = true;
	$fbWallId = null;
	$fbWallId2 = null;
	$fbLogEmail = null;
	$fbPostIds = null;
	$twUser = null;
	$twPassword = null;
	$fbLongUrl = true;
	$lastCron = $statusUpdate["last-cron"];
	$cronTime = 30;
	$fbAdvancedStatus = false;
	$jmpApiLogin = null;
	$jmpApiKey = null;
	$defaultStatusTemplate = "%POST-TITLE% %POST-URL%";
	$version = null;

	$message = false;
	$error = false;

	if ($statusUpdate !== false) {
		if (isSet($statusUpdate["fb-email"])) {
			$fbEmail = $statusUpdate["fb-email"];
		}
		if (isSet($statusUpdate["fb-password"])) {
			$fbPassword = $statusUpdate["fb-password"];
		}
		if (isSet($statusUpdate["fb-debug"])) {
			$fbDebug = $statusUpdate["fb-debug"];
		}
		if (isSet($statusUpdate["fb-post-to-profile"])) {
			$fbPostToProfile = $statusUpdate["fb-post-to-profile"];
		}
		if (isSet($statusUpdate["fb-wall-id"])) {
			$fbWallId = $statusUpdate["fb-wall-id"];
		}
		if (isSet($statusUpdate["fb-wall-id-2"])) {
			$fbWallId2 = $statusUpdate["fb-wall-id-2"];
		}
		if (isSet($statusUpdate["fb-log-email"])) {
			$fbLogEmail = $statusUpdate["fb-log-email"];
		}
		if (isSet($statusUpdate["fb-post-ids"])) {
			$fbPostIds = $statusUpdate["fb-post-ids"];
		}
		if (isSet($statusUpdate["tw-user"])) {
			$twUser = $statusUpdate["tw-user"];
		}
		if (isSet($statusUpdate["tw-password"])) {
			$twPassword = $statusUpdate["tw-password"];
		}
		if (isSet($statusUpdate["fb-long-url"])) {
			$fbLongUrl = $statusUpdate["fb-long-url"];
		}
		if (isSet($statusUpdate["cron-time"])) {
			$cronTime = $statusUpdate["cron-time"];
		}
		if (isSet($statusUpdate["fb-advanced-status"])) {
			$fbAdvancedStatus = $statusUpdate["fb-advanced-status"];
		}
		if (isSet($statusUpdate["jmp-api-login"])) {
			$jmpApiLogin = $statusUpdate["jmp-api-login"];
		}
		if (isSet($statusUpdate["jmp-api-key"])) {
			$jmpApiKey = $statusUpdate["jmp-api-key"];
		}
		if (isSet($statusUpdate["default-status-template"])) {
			$defaultStatusTemplate = $statusUpdate["default-status-template"];
		}
		if (isSet($statusUpdate["version"])) {
			$version = $statusUpdate["version"];
		}
	}

	if ($version == null || $version != $fbStatusUpdaterVersion) {

		fbStatusAct();
		$statusUpdate = get_option('fb-status-update'); //yep again, otherwise it overwrites
		if ($statusUpdate == false) {
			$statusUpdate = array();
			$statusUpdate["version"] = $fbStatusUpdaterVersion;
			add_option('fb-status-update', $statusUpdate, ' ', 'no');
		} else {
			$statusUpdate["version"] = $fbStatusUpdaterVersion;
			update_option('fb-status-update', $statusUpdate);
		}
	}	

	if (isSet($_POST["action"]) && $_POST["action"] == "fb-status-update") {
		if (isSet($_POST["fb-email"]) && trim($_POST["fb-email"]) != "") {

			$fbEmail = $_POST["fb-email"];

			if (!eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$", $fbEmail)) {
				$error = "Email not valid.";
			}
		} else {
			$fbEmail = null;
		}

		if (isSet($_POST["fb-password"]) && trim($_POST["fb-password"]) != "") {
			$fbPassword = $_POST["fb-password"];
		} else {
			$fbPassword = null;
		}

		if (isSet($_POST["fb-debug"]) && $_POST["fb-debug"] == "true") {
			$fbDebug = true;
		} else {
			$fbDebug = false;
		}

		if (isSet($_POST["fb-post-to-profile"]) && $_POST["fb-post-to-profile"] == "true") {
			$fbPostToProfile = true;
		} else {
			$fbPostToProfile = false;
		}

		if (isSet($_POST["fb-long-url"]) && $_POST["fb-long-url"] == "true") {
			$fbLongUrl = true;
		} else {
			$fbLongUrl = false;
		}

		if (isSet($_POST["fb-wall-id"]) && trim($_POST["fb-wall-id"]) != "") {
			$fbWallId = $_POST["fb-wall-id"];
			if (strpos(strToLower($fbWallId), "http://") !== false) {
				$error = "It seems you pasted an url in the \"Facebook wall id\" field. If you read carefully, you'll discover it's not the place for an url";
			}
			if ($error === false) {
				if (!is_numeric($fbWallId)) {
					$error = "The Facebook wall id is a number, and you didn't fill the \"Facebook wall id\" field with a number. If you read carefully, you'll understand where to find a Facebook wall id";
				}
			}
		} else {
			$fbWallId = null;
		}

		if ($fbWallId == null && $fbPostToProfile == false && ($fbEmail != null || $fbPassword != null)) {
			$error = "You chose not to post the status on the given Facebook profile, please provide at least one wall id.";
		}

		if (isSet($_POST["fb-wall-id-2"]) && trim($_POST["fb-wall-id-2"]) != "") {
			$fbWallId2 = $_POST["fb-wall-id-2"];
			if (strpos(strToLower($fbWallId2), "http://") !== false) {
				$error = "It seems you pasted an url in the \"Facebook wall id 2\" field. If you read carefully, you'll discover it's not the place for an url";
			}
			if ($error === false) {
				if (!is_numeric($fbWallId2)) {
					$error = "The Facebook wall id is a number, and you didn't fill the \"Facebook wall id 2\" field with a number. If you read carefully, you'll understand where to find a Facebook wall id";
				}
			}
		} else {
			$fbWallId2 = null;
		}

		if (isSet($_POST["tw-user"]) && trim($_POST["tw-user"]) != "") {
			$twUser = $_POST["tw-user"];
		} else {
			$twUser = null;
		}

		if (isSet($_POST["tw-password"]) && trim($_POST["tw-password"]) != "") {
			$twPassword = $_POST["tw-password"];
		} else {
			$twPassword = null;
		}

		if (isSet($_POST["default-status-template"]) && trim($_POST["default-status-template"]) != "") {
			$defaultStatusTemplate = strip_tags(trim($_POST["default-status-template"]));

			if (strpos($defaultStatusTemplate, "%POST-TITLE%") === false || strpos($defaultStatusTemplate, "%POST-URL%") === false) {
				$error = "One of the mandatory status template tokens is missing. Please enter both tokens or set the default template: %POST-TITLE% %POST-URL%";
			}
		} else {
			$error = "The default status template is mandatory";
		}

		if (($twUser == null && $twPassword != null) || ($twUser != null && $twPassword == null)) {
			$error = "If you want to update your twitter account, please fill both user and password. Otherwise leave both blank.";
		}

		if (isSet($_POST["fb-log-email"]) && trim($_POST["fb-log-email"]) != "") {

			$fbLogEmail = $_POST["fb-log-email"];

			if (!eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$", $_POST["fb-log-email"])) {
				$error = "Log Email not valid.";
			}

		} else {
			$fbLogEmail = null;
		}

		if (isSet($_POST["jmp-api-login"]) && trim($_POST["jmp-api-login"]) != "") {
			$jmpApiLogin = trim($_POST["jmp-api-login"]);
		} else {
			$jmpApiLogin = null;
		}

		if (isSet($_POST["jmp-api-key"]) && trim($_POST["jmp-api-key"]) != "") {
			$jmpApiKey = trim($_POST["jmp-api-key"]);
		} else {
			$jmpApiKey = null;
		}

		if (($jmpApiLogin == null && $jmpApiKey != null) || ($jmpApiLogin != null && $jmpApiKey == null)) {
			$error = "Please fill both j.mp fields to use the url shortener service on Twitter, or leave both blank if you're not interested";
		}

		if (($fbEmail == null && $fbPassword != null) || ($fbEmail != null && $fbPassword == null)) {
			$error = "If you want to update your Facebook account, please fill both user and password. Otherwise leave the whole section blank.";
		}

		if ($fbEmail == null && $fbPassword == null && $twUser == null && $twPassword == null) {
			$error = "The plugin would be grateful if you fill at least one account data.";
		}

		if (isSet($_POST["fb-cron-time"]) && trim($_POST["fb-cron-time"]) != "" && is_numeric($_POST["fb-cron-time"])) {
			$cronTime = $_POST["fb-cron-time"];
		} else {
			$error = "Cron Job interval should be a number and is mandatory.";
		}

		if (isSet($_POST["fb-advanced-status"]) && trim($_POST["fb-advanced-status"]) == "true") {
			$fbAdvancedStatus = true;
		} else {
			$fbAdvancedStatus = false;
		}



		if ($error === false) {
			// no validation errors here

			if ($statusUpdate == false) {
				// store for the very first time
				$statusUpdate = array();
				$statusUpdate["fb-email"] = $fbEmail;
				$statusUpdate["fb-password"] = $fbPassword;
				$statusUpdate["fb-debug"] = $fbDebug;
				$statusUpdate["fb-post-to-profile"] = $fbPostToProfile;
				$statusUpdate["fb-wall-id"] = $fbWallId;
				$statusUpdate["fb-wall-id-2"] = $fbWallId2;
				$statusUpdate["tw-user"] = $twUser;
				$statusUpdate["tw-password"] = $twPassword;
				$statusUpdate["fb-log-email"] = $fbLogEmail;
				$statusUpdate["fb-post-ids"] = $fbPostIds;
				$statusUpdate["fb-long-url"] = $fbLongUrl;
				$statusUpdate["last-cron"] = $lastCron;
				$statusUpdate["cron-time"] = $cronTime;
				$statusUpdate["fb-advanced-status"] = $fbAdvancedStatus;
				$statusUpdate["jmp-api-login"] = $jmpApiLogin;
				$statusUpdate["jmp-api-key"] = $jmpApiKey;
				$statusUpdate["default-status-template"] = $defaultStatusTemplate;
				add_option('fb-status-update', $statusUpdate, ' ', 'no');
				$message = "Plugin settings have been saved.";
			} else {
				// update
				$statusUpdate = array();
				$statusUpdate["fb-email"] = $fbEmail;
				$statusUpdate["fb-password"] = $fbPassword;
				$statusUpdate["fb-debug"] = $fbDebug;
				$statusUpdate["fb-post-to-profile"] = $fbPostToProfile;
				$statusUpdate["fb-wall-id"] = $fbWallId;
				$statusUpdate["fb-wall-id-2"] = $fbWallId2;
				$statusUpdate["tw-user"] = $twUser;
				$statusUpdate["tw-password"] = $twPassword;
				$statusUpdate["fb-log-email"] = $fbLogEmail;
				$statusUpdate["fb-post-ids"] = $fbPostIds;
				$statusUpdate["fb-long-url"] = $fbLongUrl;
				$statusUpdate["last-cron"] = $lastCron;
				$statusUpdate["cron-time"] = $cronTime;
				$statusUpdate["fb-advanced-status"] = $fbAdvancedStatus;
				$statusUpdate["jmp-api-login"] = $jmpApiLogin;
				$statusUpdate["jmp-api-key"] = $jmpApiKey;
				$statusUpdate["default-status-template"] = $defaultStatusTemplate;
				update_option('fb-status-update', $statusUpdate);
				$message = "Plugin settings have been updated.";
			}
		}
	}
	$fbStatusBaseUrl = trailingslashit(get_bloginfo('wpurl')).PLUGINDIR.'/'.dirname(plugin_basename(__FILE__));
?>
<script type="text/javascript" src="<?php echo($fbStatusBaseUrl); ?>/jqModal.js"></script>
<script type="text/javascript">
function checkFbLogin() {
	var fbEmail = document.getElementById("fb-email").value;
	var fbPassword = document.getElementById("fb-password").value;

	if (fbEmail.length == 0 || fbPassword.length == 0) {
		jQuery("#checkLogin").html("<p class=\"error\">Please fill Facebook email and password before checking login credentials</p>");
		return;
	}

	jQuery("#checkLogin").html("<p>Checking, please wait<br /><img src=\"<?php echo($fbStatusBaseUrl); ?>/ajax-loader.gif\" alt=\"Checking login\" /></p>");

	jQuery("#checkLogin").load("<?php echo($fbStatusBaseUrl); ?>/fb-status-updater.php?checkLogin=true&fbEmail="+fbEmail+"&fbPassword="+fbPassword, "", function (responseText, textStatus) {
		if (textStatus == "success" && responseText.length > 2) {

		} else {
			jQuery("#checkLogin").html("<p class=\"error\">There was a connection error, please retry. This doesn't mean your password is wrong :)</p>");
		}
	});
}
</script>
<style type="text/css">
.jqmWindow {display: none;position:fixed;top:17%;left:50%;margin-left:-300px;width:600px;background-color:#EEE;color:#333;border:1px solid black;padding:12px;}
.jqmOverlay {background-color: #000;}
* html .jqmWindow {position: absolute;top: expression((document.documentElement.scrollTop || document.body.scrollTop) + Math.round(17 * (document.documentElement.offsetHeight || document.body.clientHeight) / 100) + 'px');}
</style>
<div class="wrap">
	<h2>Facebook Status Updater</h2>

	<form method="post" autocomplete="off">
		<div id="poststuff" class="metabox-holder">
			<div class="postbox">
				<h3 class="hndle"><span>Info</span></h3>
				<div class="inside">
					<div style="float:right;border:1px solid #DDDDDD;padding:10px;width:200px;margin:-7px -7px 5px 5px;">
						<p><strong>Hey you. Yeah you!</strong></p>
						<p>You downloaded this plugin for free and I'm happy &amp; proud you're using it, <a href="http://www.francesco-castaldo.com/plugins-and-widgets/fb-status-updater/" target="_blank">giving feedback and asking features</a>.</p>
						<p>If you're a company and you're using it for marketing, you're more than welcome. Just remember that it takes time developing this cool stuff and you might encourage me developing some more tools by sharing a very few bucks of the revenue made, through a donation ;)</p>
						<p style="text-align:center"><a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=8255191" target="_blank"><img src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" alt="Donate!" /></a></p>
						<p><a href="http://www.francesco-castaldo.com/about/">My blog</a></p>
					</div>
					<p>This plugin has one main aim: share your blog post on the 2 main social networks: Facebook & Twitter.</p>
					<p><strong>On Facebook</strong> the plugin shares the post title and its link on:</p>
					<ol>
						<li>the main profile status and/or</li>
						<li>on one page/group wall and/or</li>
						<li>on another page/group wall and/or</li>
						<li>as link shared by the main profile, containing title, summary and the first picture [under development, not yet available]</li>
					</ol>
					<p>Why on page walls? Because in theory Facebook does not allow company profiles but only company pages/groups. So if with your private profile you manage a company page, the plugin allows you to send your blog only on that page and not on your profile.</p>
					<p>The decision about where to share the link is up to you. If you want to hear my opinion, choosing all four Facebook options is way too much, if not for Facebook anti-spam detector, at least for your Facebook contacts.</p>
					<p><strong>On Twitter</strong>, the plugin share the post title and its link as status.</p>
					<p>If the post is published immediately (is not scheduled in the future), the plugin sends the status during the publication process.</p>
					<p>
						What if I usually schedule my posts to be published ad 8.00am, 12.00am, 0.00am? The plugin has implemented a fake <a href="http://en.wikipedia.org/wiki/Cronjob" rel="nofollow" target="_blank">cron job</a>, which is run by default every 30 minutes.
						The cron job is "fake" because it is not really run by the system, but from an unlucky visitor who browse your blog on a certain moment. That user triggers the job, attached to the
						Wordpress <strong>wp_footer()</strong> function. The <strong>wp_footer()</strong> function is mandatory in themes. If your theme do not use it, see <a href="http://codex.wordpress.org/Theme_Development" rel="nofollow" target="_blank">here</a>.
						If no one is browsing your blog when the cron job is due, nothing will happen until a visitor says hello :)<br />
						The cron job perform a search for published posts that have not been sent to Fb/Tw yet. If it finds any, it takes just the last one and send it. Instead of performing this search on the wp_footer() of each visited page, I opted for the fake cron job
						because this way it is performed every once a while and your blog runs faster.<br />
						In the <strong>Miscellaneous</strong> section you can choose the cron job run interval, in minutes. If you want it to run once every hour fill it with 60; if you want it to run once a day, fill it with 60*24, 1440.
					</p>

					<p>Once you filled your Facebook email and password, before requesting help because nothing happens when you publish a new post, click on "check login credentials" and see if the plugin is able to login. If not, details are provided.</p>

					<p>Under certain conditions, your Facebook and Twitter login credential might not be safe on your blog database. Read more <a href="http://www.francesco-castaldo.com/plugins-and-widgets/fb-status-updater/" target="_blank">here</a>.</p>

					<p>When you activate the plugin, it stores a list of all published posts until that moment so that the cron job do not send old posts every half an hour. You should see that list at the end of this page.</p>

					<p><strong>Advanced settings</strong>: by checking this in the "Miscellaneous" section, a new box will appear on your edit-post page. It will allow you to:</p>
					<ol>
						<li>Customize the status message to be sent to Fb/Tw</li>
						<li>Choose not to send the current post, if it has not been published yet</li>
						<li>Choose to send again the current post, if it has already been published</li>
					</ol>
					<p>This is the tool, it's up to you how to use it. Flooding your contacts with blog posts might not be a good strategy ;)</p>
				</div>
			</div>

			<div class="postbox">
				<h3 class="hndle"><span>Facebook Status Updater</span></h3>
				<div class="inside">
					<?php if (!is_writable($fbStatusCookieFile)) { ?>
						<p class="error">Php/Wordpress cannot write into this file: <strong><?php echo($fbStatusCookieFile) ?></strong>. Please ensure PHP has the correct permissions set to write and update that file. If you don't know what I'm talking about, please contact your server admin / webmaster. If you don't want to see this message every time you publish a new post while you try solving the problem, just <a href="/wp-admin/plugins.php">disable this plugin</a>. <a href="http://codex.wordpress.org/Changing_File_Permissions">More about file permissions on Wordpress</a></p>
					<? } ?>
					<p>* = required field</p>

					<?php if ($message != false) { ?>
						<div id="message" class="updated fade"><p><?php echo($message); ?></p></div>
					<?php } ?>
					<?php if ($error != false) { ?>
						<div id="message" class="error"><p><?php echo($error); ?></p></div>
					<?php } ?>

					<table class="form-table" >
						<tr valign="top">
							<td style="width:150px;"><label for="fb-email"><strong>Facebook email*</strong></label></td>
							<td><input style="width: 250px;" id="fb-email" name="fb-email" type="text" value="<?php echo($fbEmail); ?>" /></td>
							<td rowspan="2">
								<p><a href="javascript:checkFbLogin();">Check login credentials</a></p>
								<div id="checkLogin">If the plugin doesn't seem to work, fill email and password and check what happens when wordpress tries to login to your facebook account</div>
							</td>
						</tr>
						<tr valign="top">
							<td><label for="fb-password"><strong>Facebook password*</strong></label></td>
							<td><input style="width: 250px;" id="fb-password" name="fb-password" type="password" value="<?php echo($fbPassword); ?>" /></td>
						</tr>
						<tr valign="top">
							<td><label for="fb-debug"><strong>Debug facebook update</strong></label></td>
							<td><input id="fb-debug" name="fb-debug" type="checkbox" value="true" <?php if ($fbDebug) { ?>checked="checked"<?php } ?> /></td>
							<td>Some users report their Facebook profile is not updating. By checking this, log email will contain the complete Facebook response so that we (me and you) might understand what is happening. Common reasons found as far as now are: facebook asks for captcha after the login because the user didn't confirm the account with its mobile phone, wrong email or password. If your account is confirmed, your email and password are correct, the "check login credentials" return a positive response than turn this option on. Be aware that your log email can be huge.</td>
						</tr>
						<tr valign="top">
							<td><label for="fb-post-to-profile"><strong>Post to profile</strong></label></td>
							<td><input id="fb-post-to-profile" name="fb-post-to-profile" type="checkbox" value="true" <?php if ($fbPostToProfile) { ?>checked="checked"<?php } ?> /></td>
							<td>Check this if you want the status of the profile to be updated. If you do not want the profile status updated, please provide at least one wall id</td>
						</tr>
						<tr valign="top">
							<td><label for="fb-wall-id"><strong>Facebook wall id</strong></label></td>
							<td><input style="width: 250px;" id="fb-wall-id" name="fb-wall-id" type="text" value="<?php echo($fbWallId); ?>" /></td>
							<td rowspan="2">
								Optional Page/Group Wall Id where to post your new article. Where to find a Facebook Wall Id? Example:<br />
								http://www.facebook.com/pages/YourPageName/<strong>1234567890</strong>?ref=ts or<br />
								http://www.facebook.com/group.php?gid=<strong>1234567890</strong><br />
								<strong>If you fill this field with a Wall Id that the provided account is not admin of, the post might appear as if a fan shared something on the wall and might be perceived as spam.</strong><br />
								<a href="javascript:void(null)" onclick="jQuery('#nickExplanation').toggle('slow');">Did you assign a nickname to your page and the url looks like http://www.facebook.com/nickname ?</a><br />
								<div id="nickExplanation" style="display:none;background-color:#DDDDDD;padding:8px;">
									<p>If you assign a nickname to your page, the wall id is initially hidden. To expose it, when on your page, click on the "Edit page" link under the top-right picture. The url should now end with<br />
									/pages/edit/?id=<strong>1234567890</strong></p>
								</div>
							</td>
						</tr>
						<tr valign="top">
							<td><label for="fb-wall-id-2"><strong>Facebook wall id 2</strong></label></td>
							<td><input style="width: 250px;" id="fb-wall-id-2" name="fb-wall-id-2" type="text" value="<?php echo($fbWallId2); ?>" /></td>
						</tr>
					</table>
				</div>
			</div>

			<div class="postbox">
				<h3 class="hndle"><span>Twitter Status Updater</span></h3>
				<div class="inside">
					<p>Want to update your Twitter profile? Here we are (leave blank if not interested)</p>
					<table class="form-table">
						<tr valign="top">
							<td style="width:150px;"><label for="tw-user"><strong>Twitter user</strong></label></td>
							<td><input style="width: 250px;" id="tw-user" name="tw-user" type="text" value="<?php echo($twUser); ?>" /></td>
							<td></td>
						</tr>
						<tr valign="top">
							<td><label for="tw-password"><strong>Twitter password</strong></label></td>
							<td><input style="width: 250px;" id="tw-password" name="tw-password" type="password" value="<?php echo($twPassword); ?>" /></td>
							<td></td>
						</tr>
					</table>
				</div>
			</div>

			<div class="postbox">
				<h3 class="hndle"><span>Default status</span></h3>
				<div class="inside">
					<p>The sent "status" is made by two tokens: <strong>%POST-TITLE%</strong> and <strong>%POST-URL%</strong>. You can combine them in any way, add more words, chars, emoticons or whatever.</p>
					<p>Although someone is asking not to include the post url in the Fb/Tw update, by now both are mandatory.</p>
					<p>
						A few examples of how these tokens might be used:<br />
						<strong>%POST-TITLE%</strong> <strong>%POST-URL%</strong><br />
						<strong>%POST-TITLE%</strong> - <strong>%POST-URL%</strong><br />
						Hey dude, did you know <strong>%POST-TITLE%</strong> <strong>%POST-URL%</strong><br />
						Update: <strong>%POST-TITLE%</strong> <strong>%POST-URL%</strong><br />
					</p>
					<p>No html please, Facebook and Twitter don't like it in statuses, in case you're wondering.</p>
					<table class="form-table">
						<tr valign="top">
							<td style="width:150px;"><label for="default-status-template"><strong>Default status</strong></label></td>
							<td><input style="width: 450px;" id="default-status-template" name="default-status-template" type="text" value="<?php echo($defaultStatusTemplate); ?>" /></td>
						</tr>
					</table>
					<p>Hey, a tweet max length is 140 chars. If you are posting to twitter too and the resulting status is longer than 140 chars, the <strong>%POST-TITLE%</strong> part will be truncated so that the link will be included.</p>
				</div>
			</div>

			<div class="postbox">
				<h3 class="hndle"><span>J.mp -&gt; link shortener</span></h3>
				<div class="inside">
					<p>Twitter status has only 140 chars available. Long links might be cut or leave less space for your title to be meaningful. Register on <a href="http://j.mp/" target="_blank">j.mp</a>, go to the <a href="http://j.mp/account/" target="_blank">account page</a> and look for <strong>API Login</strong> and <strong>API Key</strong>.</p>
					<p>For every shortened link from your blog with j.mp, you will enjoy link usage stats on your j.mp account!</p>
					<?php if (function_exists("json_decode")) { ?>
						<table class="form-table">
							<tr valign="top">
								<td style="width:150px;"><label for="jmp-api-login"><strong>J.mp API Login</strong></label></td>
								<td><input style="width: 350px;" id="jmp-api-login" name="jmp-api-login" type="text" value="<?php echo($jmpApiLogin); ?>" /></td>
							</tr>
							<tr valign="top">
								<td><label for="jmp-api-key"><strong>J.mp API Key</strong></label></td>
								<td><input style="width: 350px;" id="jmp-api-key" name="jmp-api-key" type="text" value="<?php echo($jmpApiKey); ?>" /></td>
							</tr>
						</table>
					<?php } else { ?>
						<p class="error">Sorry, your server does not support the Php/Json library, j.mp url shortener service is not available without it. <a href="http://www.php.net/manual/en/json.setup.php" rel="nofollow" target="_blank">Read more here</a><br />The plugin will use is.gd instead</p>
					<?php } ?>
				</div>
			</div>

			<div class="postbox">
				<h3 class="hndle"><span>Miscellaneous</span></h3>
				<div class="inside">
					<p>Options</p>
					<table class="form-table">
						<tr valign="top">
							<td><label for="fb-long-url"><strong>Use post slug</strong></label></td>
							<td><input id="fb-long-url" name="fb-long-url" type="checkbox" value="true" <?php if ($fbLongUrl) { ?>checked="checked"<?php } ?> /></td>
							<td>Check this if you want the url in the status to be the post slug (<strong>http://www.youtsite.com/date/category/post/</strong>), uncheck if you prefer the shorter version (<strong>http://www.youtsite.com/?p=123</strong>). Note: if your blog uses the post slug, you can use the shorter version anyway. If you use the link shortener service in the previous section, this will be the shortened link.</td>
						</tr>
						<?php if (function_exists("add_meta_box")) { ?>
							<tr valign="top">
								<td><label for="fb-advanced-status"><strong>Advanced status composition</strong></label></td>
								<td><input id="fb-advanced-status" name="fb-advanced-status" type="checkbox" value="true" <?php if ($fbAdvancedStatus) { ?>checked="checked"<?php } ?> /></td>
								<td>
									By checking this, a custom area will be added to the "Edit post" page that include these features:<br />
									- choose whether or not post the single article to Facebook/Twitter<br />
									- specity a custom status, different from the article title, associated with the single post<br />
									- specify a different status for Facebook and Twitter (i.e. you can add hashtags in your tweet)<br />
									</ul>
								</td>
							</tr>
						<?php } else { ?>
							<tr valign="top">
								<td colspan="3">Advanced status composition is available only for Wordpress 2.5 or higher. Sorry, way too much effort needed to maintain so many branches of code :(</td>
							</tr>
						<?php } ?>
						<tr valign="top">
							<td style="width:150px;"><label for="fb-log-email"><strong>Log email</strong></label></td>
							<td><input style="width: 250px;" id="fb-log-email" name="fb-log-email" type="text" value="<?php echo($fbLogEmail); ?>" /></td>
							<td>The Facebook update during the publishing process happens silently. If you want to know what happened, just insert your personal email in this field and you'll receive the log.</td>
						</tr>
						<tr valign="top">
							<td><label for="fb-cron-time"><strong>Cron job interval</strong></label></td>
							<td><input style="width: 100px;" id="fb-cron-time" name="fb-cron-time" type="text" value="<?php echo($cronTime); ?>" /></td>
							<td>The these are the minutes the plugin waits before checking if a scheduled-in-the-future publication time is over and the post can be sent to FB/Twitter. Defaults: 30 minutes.</td>
						</tr>
					</table>
				</div>
			</div>

			<div class="postbox">
				<h3 class="hndle"><span>Disclamer</span></h3>
				<div class="inside">
					<p>This is a free tool and is provided WITHOUT ANY WARRANTY.</p>
					<p>If for, for any reason, the social network you are sharing links through this plugin bans the provided account, by using this plugin you accept that no responsability might be addressed to the plugin itself or its developer.</p>
				</div>
			</div>

			<input type="hidden" name="action" value="fb-status-update" />
			<p class="submit"><input type="submit" name="Submit" value="Save" /></p>

			<?php if ($fbPostIds != null) { ?>

				<div class="postbox">
					<h3 class="hndle"><span>Sent posts log</span></h3>
					<div class="inside">
						<p>Here are post ids sent to Facebook/Twitter. Clicking on an id will open the original post in a new window. If the post is not found, it means you deleted it after it was sent.</p>
						<p>
						<?php
							$fbPostIds = explode("#", $fbPostIds);
							foreach($fbPostIds as $fbPostId) {
								if (trim($fbPostId) != "") {
						?>
									<a href="/?p=<?php echo($fbPostId); ?>" target="_blank"><?php echo($fbPostId); ?></a>
						<?php
								}
							}
						?>
						</p>
						<?php if (isSet($statusUpdate["last-cron"])) { ?>
							<p>The plugin cron job last run on <?php  echo(date('Y-m-d H:i:s', $statusUpdate["last-cron"])); ?>; next run: <?php  echo(date('Y-m-d H:i:s', $statusUpdate["last-cron"]+(60*$cronTime))); ?></p>
						<?php } ?>
					</div>
				</div>
			<?php } ?>

			<div class="postbox">
				<h3 class="hndle"><span>Clear private data</h3>
				<div class="inside">
					<p><strong>This is very important, please read carefully</strong>. If you intend not to use this plugin anymore, before deleting/disabling it <a href="javascript:if (window.confirm('Sure?') == true) { window.location.href='<?php echo($_SERVER["PHP_SELF"]); ?>?<?php echo($_SERVER["QUERY_STRING"]); ?>&clear-private-data=true';}">click here</a>. This will delete all data the plugin stored on your database.</p>
				</div>
			</div>
		</div>
	</form>
</div>
<?php

}
?>